Loading...
Searching...
No Matches
casacore::String_global_functions_concatenator Struct Reference
casa package (libcasa_casa) » BasicSL_module

Global concatenation operators. More...

`#include <String.h>`

## Public Member Functions

String | operator+ (const String &lhs, const String &rhs)
String | operator+ (const Char *lhs, const String &rhs)
String | operator+ (Char lhs, const String &rhs)
String | operator+ (const String &lhs, const Char *rhs)
String | operator+ (const String &lhs, Char rhs)

## Detailed Description

Global concatenation operators.

The global concatenation operators

Definition at line 894 of file String.h.

## Member Function Documentation

## operator+() [1/5]

String casacore::String_global_functions_concatenator::operator+ | ( | Char | lhs,
|  | const String & | rhs )

inline

Definition at line 899 of file String.h.

References casacore::String::append().

## operator+() [2/5]

String casacore::String_global_functions_concatenator::operator+ | ( | const Char * | lhs,
|  | const String & | rhs )

inline

Definition at line 897 of file String.h.

References casacore::String::append().

## operator+() [3/5]

String casacore::String_global_functions_concatenator::operator+ | ( | const String & | lhs,
|  | Char | rhs )

inline

Definition at line 903 of file String.h.

References casacore::String::append().

## operator+() [4/5]

String casacore::String_global_functions_concatenator::operator+ | ( | const String & | lhs,
|  | const Char * | rhs )

inline

Definition at line 901 of file String.h.

References casacore::String::append().

## operator+() [5/5]

String casacore::String_global_functions_concatenator::operator+ | ( | const String & | lhs,
|  | const String & | rhs )

inline

Definition at line 895 of file String.h.

References casacore::String::append().

The documentation for this struct was generated from the following file:

- casa/BasicSL/String.h